## com.sun.grizzly
Class IOEvent.DefaultIOEvent<E>

    java.lang.Object
      com.sun.grizzly.IOEvent.DefaultIOEvent<E>

All Implemented Interfaces:
  IOEvent<E>

Enclosing interface:
  IOEvent<E>

    public static class IOEvent.DefaultIOEvent<E>

extends Object
implements IOEvent<E>

Simple IOEvent implementation

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.grizzly.IOEvent
`IOEvent.DefaultIOEvent<E>`

Constructor Summary
`IOEvent.DefaultIOEvent(E attachment)`

Method Summary
`E` `attach(E attachment)` Attach an E and return the previous value.
`E` `attachment()` Return the current attachment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IOEvent.DefaultIOEvent

    public IOEvent.DefaultIOEvent(E attachment)

Method Detail

### attach

    public E attach(E attachment)

  Description copied from interface: `IOEvent`
  Attach an E and return the previous value.

  Specified by:
    `attach` in interface `IOEvent<E>`
  Parameters:
    `attachment` - object to attache
  Returns:
    previous attached value

### attachment

    public E attachment()

  Description copied from interface: `IOEvent`
  Return the current attachment.

  Specified by:
    `attachment` in interface `IOEvent<E>`
  Returns:
    the attachment

Copyright © 2008 SUN Microsystems. All Rights Reserved.